#!/usr/bin/env python

import unittest
from path import *
from states import *

class StatessTestCase(unittest.TestCase):
	"Test case for test modules"
	def check_dead(self):
		t = States()
		assert(t.decode(0) == 'dead', "Unable to decode dead state")
		assert(t.decode(1) == 'alive', "Unable to decode alive state")

def makeTestSuite():
    suite = unittest.TestSuite()
    suite.addTest(unittest.makeSuite(StatessTestCase, "check"))
    return suite

defaultTest = makeTestSuite

def main():
    unittest.main(defaultTest="defaultTest")


if __name__ == "__main__" : main()


